Bug 323406 - CRASH Loading a saved perspective Assistant
Summary: CRASH Loading a saved perspective Assistant
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 2.8 Pre-Alpha
Platform: Ubuntu Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-12 10:31 UTC by vascoalexander
Modified: 2013-08-17 17:28 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description vascoalexander 2013-08-12 10:31:11 UTC
Saved a perspective Assistant to default location (/home/user/documents)
Close the assistant and trying to load it results in crashing. Same after reopen krita with a new
document. Same with OpenGL turned on or off.

No Crash with other Assistant Tools.

Reproducible: Always




Application: Krita (kdeinit4), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fd2b740b7c0 (LWP 3126))]

Thread 7 (Thread 0x7fd28e480700 (LWP 3127)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fd2b5f9114b in wait (time=18446744073709551615, this=0x17ea550) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x179db40, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd2b5f8d067 in QSemaphore::acquire (this=this@entry=0x179d970, n=n@entry=1) at thread/qsemaphore.cpp:144
#4  0x00007fd29711ad24 in waitForWork (this=0x179d960) at /build/buildd/krita-testing-2+git20130808+r74237-41/krita/image/tiles3/kis_tile_data_pooler.cc:162
#5  KisTileDataPooler::run (this=0x179d960) at /build/buildd/krita-testing-2+git20130808+r74237-41/krita/image/tiles3/kis_tile_data_pooler.cc:184
#6  0x00007fd2b5f90bec in QThreadPrivate::start (arg=0x179d960) at thread/qthread_unix.cpp:338
#7  0x00007fd2a55fd3b4 in ?? () from /usr/lib/nvidia-310/libGL.so.1
#8  0x00007fd2b24a6f8e in start_thread (arg=0x7fd28e480700) at pthread_create.c:311
#9  0x00007fd2b4c96e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 6 (Thread 0x7fd28dc7f700 (LWP 3128)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fd2b5f9114b in wait (time=18446744073709551615, this=0x17ea8e0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x17ea890, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd2b5f8d438 in QSemaphore::tryAcquire (this=0x17ea5c0, n=n@entry=1, timeout=timeout@entry=-1) at thread/qsemaphore.cpp:221
#4  0x00007fd2971487a3 in KisTileDataSwapper::waitForWork (this=this@entry=0x179d998) at /build/buildd/krita-testing-2+git20130808+r74237-41/krita/image/tiles3/swap/kis_tile_data_swapper.cpp:86
#5  0x00007fd297148a2a in KisTileDataSwapper::run (this=0x179d998) at /build/buildd/krita-testing-2+git20130808+r74237-41/krita/image/tiles3/swap/kis_tile_data_swapper.cpp:92
#6  0x00007fd2b5f90bec in QThreadPrivate::start (arg=0x179d998) at thread/qthread_unix.cpp:338
#7  0x00007fd2a55fd3b4 in ?? () from /usr/lib/nvidia-310/libGL.so.1
#8  0x00007fd2b24a6f8e in start_thread (arg=0x7fd28dc7f700) at pthread_create.c:311
#9  0x00007fd2b4c96e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7fd286184700 (LWP 3133)):
#0  0x00007fd2b4c8f233 in select () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd2b60b94f3 in qt_safe_select (nfds=32, fdread=0x7fd26c000af8, fdwrite=0x7fd26c000d90, fdexcept=0x7fd26c001028, orig_timeout=0x0) at kernel/qcore_unix.cpp:83
#2  0x00007fd2b60be499 in QEventDispatcherUNIXPrivate::doSelect (this=this@entry=0x7fd26c000940, flags=..., timeout=0x0) at kernel/qeventdispatcher_unix.cpp:223
#3  0x00007fd2b60bec82 in QEventDispatcherUNIX::processEvents (this=0x7fd26c000920, flags=...) at kernel/qeventdispatcher_unix.cpp:937
#4  0x00007fd2b608c38f in QEventLoop::processEvents (this=this@entry=0x7fd286183cd0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fd2b608c618 in QEventLoop::exec (this=this@entry=0x7fd286183cd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fd2b5f8e410 in QThread::exec (this=this@entry=0x1d53420) at thread/qthread.cpp:542
#7  0x00007fd2b606dedf in QInotifyFileSystemWatcherEngine::run (this=0x1d53420) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007fd2b5f90bec in QThreadPrivate::start (arg=0x1d53420) at thread/qthread_unix.cpp:338
#9  0x00007fd2a55fd3b4 in ?? () from /usr/lib/nvidia-310/libGL.so.1
#10 0x00007fd2b24a6f8e in start_thread (arg=0x7fd286184700) at pthread_create.c:311
#11 0x00007fd2b4c96e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7fd270a5e700 (LWP 3139)):
#0  0x00007fd2b4c8f233 in select () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd2b60b94f3 in qt_safe_select (nfds=35, fdread=0x7fd25c000af8, fdwrite=0x7fd25c000d90, fdexcept=0x7fd25c001028, orig_timeout=0x0) at kernel/qcore_unix.cpp:83
#2  0x00007fd2b60be499 in QEventDispatcherUNIXPrivate::doSelect (this=this@entry=0x7fd25c000940, flags=..., timeout=0x0) at kernel/qeventdispatcher_unix.cpp:223
#3  0x00007fd2b60bec82 in QEventDispatcherUNIX::processEvents (this=0x7fd25c000920, flags=...) at kernel/qeventdispatcher_unix.cpp:937
#4  0x00007fd2b608c38f in QEventLoop::processEvents (this=this@entry=0x7fd270a5dcd0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fd2b608c618 in QEventLoop::exec (this=this@entry=0x7fd270a5dcd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fd2b5f8e410 in QThread::exec (this=this@entry=0x239bf90) at thread/qthread.cpp:542
#7  0x00007fd2b606dedf in QInotifyFileSystemWatcherEngine::run (this=0x239bf90) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007fd2b5f90bec in QThreadPrivate::start (arg=0x239bf90) at thread/qthread_unix.cpp:338
#9  0x00007fd2a55fd3b4 in ?? () from /usr/lib/nvidia-310/libGL.so.1
#10 0x00007fd2b24a6f8e in start_thread (arg=0x7fd270a5e700) at pthread_create.c:311
#11 0x00007fd2b4c96e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7fd286985700 (LWP 3156)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fd2b5f9114b in wait (time=18446744073709551615, this=0x4ac4930) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x4ac44b8, mutex=mutex@entry=0x4ac44b0, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fd2b5924636 in QFileInfoGatherer::run (this=0x4ac44a0) at dialogs/qfileinfogatherer.cpp:214
#4  0x00007fd2b5f90bec in QThreadPrivate::start (arg=0x4ac44a0) at thread/qthread_unix.cpp:338
#5  0x00007fd2a55fd3b4 in ?? () from /usr/lib/nvidia-310/libGL.so.1
#6  0x00007fd2b24a6f8e in start_thread (arg=0x7fd286985700) at pthread_create.c:311
#7  0x00007fd2b4c96e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7fd287186700 (LWP 3157)):
#0  0x00007fd2b4c8f233 in select () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fd2b60b94f3 in qt_safe_select (nfds=22, fdread=0x7fd2394e18f8, fdwrite=0x7fd2394e1b90, fdexcept=0x7fd2394e1e28, orig_timeout=0x0) at kernel/qcore_unix.cpp:83
#2  0x00007fd2b60be499 in QEventDispatcherUNIXPrivate::doSelect (this=this@entry=0x7fd2394e1740, flags=..., timeout=0x0) at kernel/qeventdispatcher_unix.cpp:223
#3  0x00007fd2b60bec82 in QEventDispatcherUNIX::processEvents (this=0x7fd278000920, flags=...) at kernel/qeventdispatcher_unix.cpp:937
#4  0x00007fd2b608c38f in QEventLoop::processEvents (this=this@entry=0x7fd287185cd0, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007fd2b608c618 in QEventLoop::exec (this=this@entry=0x7fd287185cd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007fd2b5f8e410 in QThread::exec (this=this@entry=0x4ac37b0) at thread/qthread.cpp:542
#7  0x00007fd2b606dedf in QInotifyFileSystemWatcherEngine::run (this=0x4ac37b0) at io/qfilesystemwatcher_inotify.cpp:256
#8  0x00007fd2b5f90bec in QThreadPrivate::start (arg=0x4ac37b0) at thread/qthread_unix.cpp:338
#9  0x00007fd2a55fd3b4 in ?? () from /usr/lib/nvidia-310/libGL.so.1
#10 0x00007fd2b24a6f8e in start_thread (arg=0x7fd287186700) at pthread_create.c:311
#11 0x00007fd2b4c96e1d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7fd2b740b7c0 (LWP 3126)):
[KCrash Handler]
#5  0x00007fd2b4bd4037 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#6  0x00007fd2b4bd7698 in __GI_abort () at abort.c:90
#7  0x00007fd2b5f865c2 in qt_message_output (msgType=msgType@entry=QtFatalMsg, buf=0x23fcda8 "ASSERT: \"d\" in file /build/buildd/krita-testing-2+git20130808+r74237-41/krita/image/kis_shared_ptr.h, line 174") at global/qglobal.cpp:2347
#8  0x00007fd2b5f86938 in qt_message(QtMsgType, const char *, typedef __va_list_tag __va_list_tag *) (msgType=msgType@entry=QtFatalMsg, msg=msg@entry=0x7fd2b60f0548 "ASSERT: \"%s\" in file %s, line %d", ap=ap@entry=0x7fff2055a548) at global/qglobal.cpp:2393
#9  0x00007fd2b5f86ac4 in qFatal (msg=msg@entry=0x7fd2b60f0548 "ASSERT: \"%s\" in file %s, line %d") at global/qglobal.cpp:2576
#10 0x00007fd2b5f86b06 in qt_assert (assertion=assertion@entry=0x7fd284f03709 "d", file=file@entry=0x7fd284f03ad8 "/build/buildd/krita-testing-2+git20130808+r74237-41/krita/image/kis_shared_ptr.h", line=line@entry=174) at global/qglobal.cpp:2021
#11 0x00007fd284efd862 in operator* (this=0x7fff2055a6f0) at /build/buildd/krita-testing-2+git20130808+r74237-41/krita/image/kis_shared_ptr.h:174
#12 KisRulerAssistantTool::paint (this=0x79ba540, _gc=..., _converter=...) at /build/buildd/krita-testing-2+git20130808+r74237-41/krita/plugins/assistants/RulerAssistant/kis_ruler_assistant_tool.cc:418
#13 0x00007fd297a44586 in KisCanvasWidgetBase::drawDecorations (this=0x7c0a68, gc=..., updateWidgetRect=...) at /build/buildd/krita-testing-2+git20130808+r74237-41/krita/ui/canvas/kis_canvas_widget_base.cpp:138
#14 0x00007fd297c425b1 in KisOpenGLCanvas2::paintEvent (this=0x7c0a40) at /build/buildd/krita-testing-2+git20130808+r74237-41/krita/ui/opengl/kis_opengl_canvas2.cpp:312
#15 0x00007fd2b5480a3e in QWidget::event (this=this@entry=0x7c0a40, event=event@entry=0x7fff2055bbc0) at kernel/qwidget.cpp:8532
#16 0x00007fd2a6fb5c68 in QGLWidget::event (this=0x7c0a40, e=0x7fff2055bbc0) at qgl.cpp:4407
#17 0x00007fd2b54338ec in QApplicationPrivate::notify_helper (this=this@entry=0x9e9070, receiver=receiver@entry=0x7c0a40, e=e@entry=0x7fff2055bbc0) at kernel/qapplication.cpp:4567
#18 0x00007fd2b543625b in QApplication::notify (this=0x7fff2055c820, receiver=receiver@entry=0x7c0a40, e=e@entry=0x7fff2055bbc0) at kernel/qapplication.cpp:4428
#19 0x00007fd29fb1acb8 in KoApplication::notify (this=<optimized out>, receiver=0x7c0a40, event=0x7fff2055bbc0) at /build/buildd/krita-testing-2+git20130808+r74237-41/libs/main/KoApplication.cpp:556
#20 0x00007fd2b608d63e in QCoreApplication::notifyInternal (this=0x7fff2055c820, receiver=receiver@entry=0x7c0a40, event=event@entry=0x7fff2055bbc0) at kernel/qcoreapplication.cpp:946
#21 0x00007fd2b54856b4 in sendSpontaneousEvent (event=0x7fff2055bbc0, receiver=0x7c0a40) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#22 QWidgetPrivate::drawWidget (this=this@entry=0x994310, pdev=pdev@entry=0x7c0a50, rgn=..., offset=..., flags=flags@entry=3, sharedPainter=sharedPainter@entry=0x0, backingStore=backingStore@entry=0x0) at kernel/qwidget.cpp:5598
#23 0x00007fd2b5648f9c in QWidgetPrivate::repaint_sys (this=this@entry=0x994310, rgn=...) at painting/qbackingstore.cpp:1656
#24 0x00007fd2b5474004 in QWidgetPrivate::syncBackingStore (this=this@entry=0x994310) at kernel/qwidget.cpp:1893
#25 0x00007fd2b5480ee4 in QWidget::event (this=this@entry=0x7c0a40, event=event@entry=0x20f3b10) at kernel/qwidget.cpp:8679
#26 0x00007fd2a6fb5c68 in QGLWidget::event (this=0x7c0a40, e=0x20f3b10) at qgl.cpp:4407
#27 0x00007fd2b54338ec in QApplicationPrivate::notify_helper (this=this@entry=0x9e9070, receiver=receiver@entry=0x7c0a40, e=e@entry=0x20f3b10) at kernel/qapplication.cpp:4567
#28 0x00007fd2b543625b in QApplication::notify (this=0x7fff2055c820, receiver=receiver@entry=0x7c0a40, e=e@entry=0x20f3b10) at kernel/qapplication.cpp:4428
#29 0x00007fd29fb1acb8 in KoApplication::notify (this=<optimized out>, receiver=0x7c0a40, event=0x20f3b10) at /build/buildd/krita-testing-2+git20130808+r74237-41/libs/main/KoApplication.cpp:556
#30 0x00007fd2b608d63e in QCoreApplication::notifyInternal (this=0x7fff2055c820, receiver=receiver@entry=0x7c0a40, event=event@entry=0x20f3b10) at kernel/qcoreapplication.cpp:946
#31 0x00007fd2b6091171 in sendEvent (event=0x20f3b10, receiver=0x7c0a40) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#32 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x761150) at kernel/qcoreapplication.cpp:1570
#33 0x00007fd2b60914a3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1463
#34 0x00007fd2b54d99fc in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#35 QEventDispatcherX11::processEvents (this=0x763670, flags=...) at kernel/qeventdispatcher_x11.cpp:75
#36 0x00007fd2b608c38f in QEventLoop::processEvents (this=this@entry=0x7fff2055c770, flags=...) at kernel/qeventloop.cpp:149
#37 0x00007fd2b608c618 in QEventLoop::exec (this=this@entry=0x7fff2055c770, flags=...) at kernel/qeventloop.cpp:204
#38 0x00007fd2b6091cf6 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#39 0x00007fd2b5431ffc in QApplication::exec () at kernel/qapplication.cpp:3828
#40 0x00007fd2a00783f2 in kdemain (argc=<optimized out>, argv=<optimized out>) at /build/buildd/krita-testing-2+git20130808+r74237-41/krita/main.cc:79
#41 0x00000000004084ea in _start ()
Comment 1 Sven Langkamp 2013-08-17 17:28:11 UTC
Git commit 010f141f130d49a91b79d84d4087ea6d4dfb2455 by Sven Langkamp.
Committed on 17/08/2013 at 17:26.
Pushed by langkamp into branch 'master'.

fix crash when drawing a loaded perspective assistant

M  +1    -0    krita/plugins/assistants/RulerAssistant/kis_ruler_assistant_tool.cc

http://commits.kde.org/calligra/010f141f130d49a91b79d84d4087ea6d4dfb2455